Get all lookup code translations using advanced query

post

https://<servername>/api/boss/data/objects/ora/commonAppsInfra/objects/v1/standardLookupCodes/{standardLookupCodes_id}/$translations/$query

Request

Path Parameters
  • This path parameter maps to a composite key that consists of the following fields defined in the Standard Lookup Codes REST resource:
    1. lookupType: The unique identifier of the Lookup Type.
    2. lookupCode: The unique identifier of the Lookup Code.
    To generate the path parameter value, first encode the field values, then concatenate them using a comma and encode the resulting string.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type: object
Show Source
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type: object
Defines query criteria that can be applied on a resource collection.
Show Source
  • The resource collection will be queried using the specified filter condition.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
  • Represents the privilege or action required to check for while serving a request to access a resource.
  • sortBy
    Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type: array
Orders a resource collection based on the specified fields.
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Name of field based on which sorting will happen. Order is ascending.
  • type
    Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : type
Type: object
Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Back to Top

Response

Default Response

An array of items response
Body ()
Root Schema : standardLookupCodes-_translations
Match All
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : standardLookupCodes-_translations-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : standardLookupCodes-_translations_item-response
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item
Match All
The lookup code translations list of values resource is used to query the list of lookup code translations.
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item-fields
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCodeTranslation_item-allOf[1]
Type: object
The lookup code translations list of values resource is used to query the list of lookup code translations.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : lookupCodeTranslationBase
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item
Match All
The lookup codes list of values resource is used to query the list of lookup codes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Lookup Code
Type: object
Title: Lookup Code
The lookup codes list of values resource is used to query the list of lookup codes.
Nested Schema : $context
Type: object
Show Source
Back to Top